> For the complete documentation index, see [llms.txt](https://lumiwavelab.gitbook.io/inno-platform-doc-kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://lumiwavelab.gitbook.io/inno-platform-doc-kr/reference/api-reference/inno-market/nft/app-nft.md).

# App에 귀속된 전체 NFT 리스트 요청

<mark style="color:blue;">`GET`</mark> `https://{market-domain}/v1.0/app/nft/list`

#### Query Parameters

| Name         | Type  | Description                      |
| ------------ | ----- | -------------------------------- |
| page\_offset | int64 | page 번호 (MIN : 1 \~ N)           |
| page\_size   | int64 | 한 page 크기 (MIN : 1 \~ MAX : 200) |

#### Headers

| Name                                            | Type   | Description                 |
| ----------------------------------------------- | ------ | --------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer {{app-access-token}} |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "return": 0,
    "message": "success",
    "value": {
        "app_id": 1,
        "page_offset": 2,
        "page_size": 10,
        "nft_packs": [
            {
                "nft_pack_id": 1,
                "nft_pack_name": "good game nft 1",
                "effect": "[{"app_id":"2","description":"Purchasing Labyrinth Fat #2 increases HP 100 and MP 100 synergy.","properties":[{"trait_type":"HP","value":100},{"trait_type":"MP","value":100}]},{"app_id":"1","description":"Purchasing PoringMerge Fat #2 increases HP 100 and MP 200 synergy.","properties":[{"trait_type":"HP","value":100},{"trait_type":"MP","value":200}]}]"
            },
            {
                "nft_pack_id": 2,
                "nft_pack_name": "good game nft 2",
                "effect" : "[{"app_id":"2","description":"Purchasing Labyrinth Fat #2 increases HP 1000 and MP 1000 synergy.","properties":[{"trait_type":"HP","value":1000},{"trait_type":"MP","value":1000}]},{"app_id":"1","description":"Purchasing PoringMerge Fat #2 increases HP 2000 and MP 4000 synergy.","properties":[{"trait_type":"HP","value":2000},{"trait_type":"MP","value":4000}]}]"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Example Curl" %}
curl --location --request GET 'https\://{{market-domain}}/v1.0/app/nft/list?page\_offset=2\&page\_size=10'\
\--header 'Authorization: Bearer eyJhbGciOiJIUzI1N.......'
{% endtab %}

{% tab title="Response Value" %}

<table><thead><tr><th width="173.33333333333331">key</th><th>data type</th><th>desc.</th></tr></thead><tbody><tr><td>page_offset</td><td>int64</td><td></td></tr><tr><td>page_size</td><td>int64</td><td></td></tr><tr><td>nft_packs</td><td>json object array</td><td>json 배열</td></tr><tr><td>nft_pack_id</td><td>int64</td><td>NFT pack unique index</td></tr><tr><td>nft_pack_name</td><td>string</td><td>NFT pack 별칭</td></tr><tr><td>effect</td><td>string</td><td>NFT 효과</td></tr></tbody></table>
{% endtab %}

{% tab title="Result Code" %}

| return        | message           | desc               |
| ------------- | ----------------- | ------------------ |
| 0             | success           | 성공                 |
| 20004         | Invalid jwt token | 유효하지 못한 auth token |
| {% endtab %}  |                   |                    |
| {% endtabs %} |                   |                    |
